player_ptz_req_control_mode Struct Reference

Request/reply: Control mode. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | mode
| Mode to use: must be either PLAYER_PTZ_VELOCITY_CONTROL or PLAYER_PTZ_POSITION_CONTROL. More...

## Detailed Description

Request/reply: Control mode.

To switch between position and velocity control (for those drivers that support it), send a PLAYER_PTZ_REQ_CONTROL_MODE request. Note that this request changes how the driver interprets forthcoming commands from all clients. Null response.

## Member Data Documentation

uint32_t player_ptz_req_control_mode::mode

Mode to use: must be either PLAYER_PTZ_VELOCITY_CONTROL or PLAYER_PTZ_POSITION_CONTROL.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45